#
# spec file for package libnetfilter_queue
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnetfilter_queue
%define lname	%{name}1
Version:        1.0.2
Release:        0
Summary:        Userspace library for packets that have been queued by the kernel packet filter
License:        GPL-2.0
Group:          Productivity/Networking/Security
Url:            http://netfilter.org/projects/libnetfilter_queue/

#Git-Clone:	git://git.netfilter.org/libnetfiler_queue
#DL-URL:	http://netfilter.org/projects/libnetfilter_queue/files/
Source:         http://netfilter.org/projects/libnetfilter_queue/files/%name-%version.tar.bz2
Source2:        http://netfilter.org/projects/libnetfilter_queue/files/%name-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
Patch1:         rhel6-iptos.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildRequires:  libtool
BuildRequires:  pkgconfig >= 0.21
%if 0%{?suse_version} >= 1140 || 0%{?fedora_version}
BuildRequires:  pkgconfig(libmnl) >= 1.0.3
BuildRequires:  pkgconfig(libnfnetlink) >= 0.0.41
%else
BuildRequires:  libmnl-devel >= 1.0.3
BuildRequires:  libnfnetlink-devel >= 0.0.41
%endif
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
%endif

%description
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%package -n %lname
Summary:        Userspace library for packets that have been queued by the kernel packet filter
Group:          System/Libraries

%description -n %lname
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%package devel
Requires:       %lname = %version
Requires:       libnfnetlink-devel
Summary:        Userspace library for packets that have been queued by the kernel packet filter
Group:          Development/Libraries/C and C++

%description devel
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%prep
%if 0%{?gpg_verify:1}
%gpg_verify %{S:2}
%endif
%setup -q
%patch -P 1 -p1

%build
%configure --disable-static --includedir=%_includedir/%name-%version
make %{?_smp_mflags} KERNELDIR="ignore";

%install
make install DESTDIR="%buildroot" KERNELDIR="ignore";
rm -f "%buildroot/%_libdir"/*.la;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnetfilter_queue.so.1*

%files devel
%defattr(-,root,root)
%_includedir/%name-%version
%_libdir/libnetfilter_queue.so
%_libdir/pkgconfig/libnetfilter_queue.pc

%changelog
